curl --request POST \
--url https://api.stardex.ai/v1/automations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"trigger": {
"type": "schedule",
"rrule": "FREQ=WEEKLY;BYDAY=MO;BYHOUR=9;BYMINUTE=0",
"dtstart": "<string>",
"timezone": "<string>",
"next_run_at": "<string>"
},
"actions": [
{
"action_type": "send_email",
"payload": {
"subject": "<string>",
"body": "<string>",
"sender": {
"kind": "mailbox",
"nylas_grant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"team_member_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"email_addresses": [
"jsmith@example.com"
],
"include_signature": true,
"attachments": [
{
"storage_path": "<string>",
"file_name": "JD - Senior PM.pdf",
"content_type": "<string>",
"size_bytes": 123
}
]
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 2,
"team_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"is_enabled": true,
"runs_on_api_changes": false
}
'import requests
url = "https://api.stardex.ai/v1/automations"
payload = {
"name": "<string>",
"trigger": {
"type": "schedule",
"rrule": "FREQ=WEEKLY;BYDAY=MO;BYHOUR=9;BYMINUTE=0",
"dtstart": "<string>",
"timezone": "<string>",
"next_run_at": "<string>"
},
"actions": [
{
"action_type": "send_email",
"payload": {
"subject": "<string>",
"body": "<string>",
"sender": {
"kind": "mailbox",
"nylas_grant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"team_member_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"email_addresses": ["jsmith@example.com"],
"include_signature": True,
"attachments": [
{
"storage_path": "<string>",
"file_name": "JD - Senior PM.pdf",
"content_type": "<string>",
"size_bytes": 123
}
]
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 2,
"team_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"is_enabled": True,
"runs_on_api_changes": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
trigger: {
type: 'schedule',
rrule: 'FREQ=WEEKLY;BYDAY=MO;BYHOUR=9;BYMINUTE=0',
dtstart: '<string>',
timezone: '<string>',
next_run_at: '<string>'
},
actions: [
{
action_type: 'send_email',
payload: {
subject: '<string>',
body: JSON.stringify('<string>'),
sender: {kind: 'mailbox', nylas_grant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
team_member_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
email_addresses: ['jsmith@example.com'],
include_signature: true,
attachments: [
{
storage_path: '<string>',
file_name: 'JD - Senior PM.pdf',
content_type: '<string>',
size_bytes: 123
}
]
},
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
position: 2,
team_member_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
],
is_enabled: true,
runs_on_api_changes: false
})
};
fetch('https://api.stardex.ai/v1/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stardex.ai/v1/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'trigger' => [
'type' => 'schedule',
'rrule' => 'FREQ=WEEKLY;BYDAY=MO;BYHOUR=9;BYMINUTE=0',
'dtstart' => '<string>',
'timezone' => '<string>',
'next_run_at' => '<string>'
],
'actions' => [
[
'action_type' => 'send_email',
'payload' => [
'subject' => '<string>',
'body' => '<string>',
'sender' => [
'kind' => 'mailbox',
'nylas_grant_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'team_member_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'email_addresses' => [
'jsmith@example.com'
],
'include_signature' => true,
'attachments' => [
[
'storage_path' => '<string>',
'file_name' => 'JD - Senior PM.pdf',
'content_type' => '<string>',
'size_bytes' => 123
]
]
],
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'position' => 2,
'team_member_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
],
'is_enabled' => true,
'runs_on_api_changes' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.stardex.ai/v1/automations"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"trigger\": {\n \"type\": \"schedule\",\n \"rrule\": \"FREQ=WEEKLY;BYDAY=MO;BYHOUR=9;BYMINUTE=0\",\n \"dtstart\": \"<string>\",\n \"timezone\": \"<string>\",\n \"next_run_at\": \"<string>\"\n },\n \"actions\": [\n {\n \"action_type\": \"send_email\",\n \"payload\": {\n \"subject\": \"<string>\",\n \"body\": \"<string>\",\n \"sender\": {\n \"kind\": \"mailbox\",\n \"nylas_grant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"team_member_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"email_addresses\": [\n \"jsmith@example.com\"\n ],\n \"include_signature\": true,\n \"attachments\": [\n {\n \"storage_path\": \"<string>\",\n \"file_name\": \"JD - Senior PM.pdf\",\n \"content_type\": \"<string>\",\n \"size_bytes\": 123\n }\n ]\n },\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"position\": 2,\n \"team_member_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"is_enabled\": true,\n \"runs_on_api_changes\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.stardex.ai/v1/automations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"trigger\": {\n \"type\": \"schedule\",\n \"rrule\": \"FREQ=WEEKLY;BYDAY=MO;BYHOUR=9;BYMINUTE=0\",\n \"dtstart\": \"<string>\",\n \"timezone\": \"<string>\",\n \"next_run_at\": \"<string>\"\n },\n \"actions\": [\n {\n \"action_type\": \"send_email\",\n \"payload\": {\n \"subject\": \"<string>\",\n \"body\": \"<string>\",\n \"sender\": {\n \"kind\": \"mailbox\",\n \"nylas_grant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"team_member_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"email_addresses\": [\n \"jsmith@example.com\"\n ],\n \"include_signature\": true,\n \"attachments\": [\n {\n \"storage_path\": \"<string>\",\n \"file_name\": \"JD - Senior PM.pdf\",\n \"content_type\": \"<string>\",\n \"size_bytes\": 123\n }\n ]\n },\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"position\": 2,\n \"team_member_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"is_enabled\": true,\n \"runs_on_api_changes\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stardex.ai/v1/automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"trigger\": {\n \"type\": \"schedule\",\n \"rrule\": \"FREQ=WEEKLY;BYDAY=MO;BYHOUR=9;BYMINUTE=0\",\n \"dtstart\": \"<string>\",\n \"timezone\": \"<string>\",\n \"next_run_at\": \"<string>\"\n },\n \"actions\": [\n {\n \"action_type\": \"send_email\",\n \"payload\": {\n \"subject\": \"<string>\",\n \"body\": \"<string>\",\n \"sender\": {\n \"kind\": \"mailbox\",\n \"nylas_grant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"team_member_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"email_addresses\": [\n \"jsmith@example.com\"\n ],\n \"include_signature\": true,\n \"attachments\": [\n {\n \"storage_path\": \"<string>\",\n \"file_name\": \"JD - Senior PM.pdf\",\n \"content_type\": \"<string>\",\n \"size_bytes\": 123\n }\n ]\n },\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"position\": 2,\n \"team_member_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"is_enabled\": true,\n \"runs_on_api_changes\": false\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "aaa11111-bbbb-cccc-dddd-eeeeeeee3333",
"name": "Monday offer follow-ups",
"is_enabled": true,
"is_archived": false,
"runs_on_api_changes": false,
"created_by": "567e8901-e23c-45d6-e789-012345678901",
"trigger": {
"type": "schedule",
"rrule": "FREQ=WEEKLY;BYDAY=MO;BYHOUR=8;BYMINUTE=0",
"dtstart": "2026-08-24T08:00:00",
"timezone": "America/New_York",
"next_run_at": "2026-08-31T12:00:00Z"
},
"actions": [
{
"id": "aaa11111-bbbb-cccc-dddd-eeeeeeee3334",
"position": 1,
"action_type": "agent_instructions",
"payload": {
"instructions": "Find candidates who have been in Offer for more than 7 days on open searches, move each to Follow up and add a note saying why. Example row: | Priya Raman | Senior Controller | 9 days |",
"allow_update_records": true,
"allow_delete_records": false,
"output_format": {
"kind": "custom",
"text": "One table row per candidate, longest wait first"
}
}
},
{
"id": "aaa11111-bbbb-cccc-dddd-eeeeeeee3335",
"position": 2,
"action_type": "send_email",
"recipient_type": "team_members",
"team_member_id": null,
"payload": {
"subject": "Offers waiting for a follow-up",
"body": "These offers need a follow-up this week:\n\n{{agent_output}}",
"team_member_ids": [
"567e8901-e23c-45d6-e789-012345678901"
],
"include_signature": false
}
}
],
"created_at": "2026-08-21T10:00:00Z",
"updated_at": "2026-08-21T10:00:00Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Create automation
Create an automation with exactly one trigger and one or more actions.
add_note and send_email to a candidate are only valid when trigger.type is candidate_status_changed. Schedule next_run_at is computed from rrule, dtstart, and timezone. API keys can’t create an automation that emails a candidate or client contacts from a mailbox (payload.sender), because it would send as a team member; set those up in the app. An agent_instructions action runs only on a schedule trigger, as the automation’s creator, so in an automation created with an API key it is skipped. Any team member (or an API key) can create an automation; only organization admins, API keys and the automation’s creator can change, turn off or archive it. Only admins and API keys can set an add_note action’s team_member_id (the note’s author) to someone other than themselves.
curl --request POST \
--url https://api.stardex.ai/v1/automations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"trigger": {
"type": "schedule",
"rrule": "FREQ=WEEKLY;BYDAY=MO;BYHOUR=9;BYMINUTE=0",
"dtstart": "<string>",
"timezone": "<string>",
"next_run_at": "<string>"
},
"actions": [
{
"action_type": "send_email",
"payload": {
"subject": "<string>",
"body": "<string>",
"sender": {
"kind": "mailbox",
"nylas_grant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"team_member_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"email_addresses": [
"jsmith@example.com"
],
"include_signature": true,
"attachments": [
{
"storage_path": "<string>",
"file_name": "JD - Senior PM.pdf",
"content_type": "<string>",
"size_bytes": 123
}
]
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 2,
"team_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"is_enabled": true,
"runs_on_api_changes": false
}
'import requests
url = "https://api.stardex.ai/v1/automations"
payload = {
"name": "<string>",
"trigger": {
"type": "schedule",
"rrule": "FREQ=WEEKLY;BYDAY=MO;BYHOUR=9;BYMINUTE=0",
"dtstart": "<string>",
"timezone": "<string>",
"next_run_at": "<string>"
},
"actions": [
{
"action_type": "send_email",
"payload": {
"subject": "<string>",
"body": "<string>",
"sender": {
"kind": "mailbox",
"nylas_grant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"team_member_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"email_addresses": ["jsmith@example.com"],
"include_signature": True,
"attachments": [
{
"storage_path": "<string>",
"file_name": "JD - Senior PM.pdf",
"content_type": "<string>",
"size_bytes": 123
}
]
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 2,
"team_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"is_enabled": True,
"runs_on_api_changes": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
trigger: {
type: 'schedule',
rrule: 'FREQ=WEEKLY;BYDAY=MO;BYHOUR=9;BYMINUTE=0',
dtstart: '<string>',
timezone: '<string>',
next_run_at: '<string>'
},
actions: [
{
action_type: 'send_email',
payload: {
subject: '<string>',
body: JSON.stringify('<string>'),
sender: {kind: 'mailbox', nylas_grant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
team_member_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
email_addresses: ['jsmith@example.com'],
include_signature: true,
attachments: [
{
storage_path: '<string>',
file_name: 'JD - Senior PM.pdf',
content_type: '<string>',
size_bytes: 123
}
]
},
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
position: 2,
team_member_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
],
is_enabled: true,
runs_on_api_changes: false
})
};
fetch('https://api.stardex.ai/v1/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stardex.ai/v1/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'trigger' => [
'type' => 'schedule',
'rrule' => 'FREQ=WEEKLY;BYDAY=MO;BYHOUR=9;BYMINUTE=0',
'dtstart' => '<string>',
'timezone' => '<string>',
'next_run_at' => '<string>'
],
'actions' => [
[
'action_type' => 'send_email',
'payload' => [
'subject' => '<string>',
'body' => '<string>',
'sender' => [
'kind' => 'mailbox',
'nylas_grant_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'team_member_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'email_addresses' => [
'jsmith@example.com'
],
'include_signature' => true,
'attachments' => [
[
'storage_path' => '<string>',
'file_name' => 'JD - Senior PM.pdf',
'content_type' => '<string>',
'size_bytes' => 123
]
]
],
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'position' => 2,
'team_member_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
],
'is_enabled' => true,
'runs_on_api_changes' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.stardex.ai/v1/automations"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"trigger\": {\n \"type\": \"schedule\",\n \"rrule\": \"FREQ=WEEKLY;BYDAY=MO;BYHOUR=9;BYMINUTE=0\",\n \"dtstart\": \"<string>\",\n \"timezone\": \"<string>\",\n \"next_run_at\": \"<string>\"\n },\n \"actions\": [\n {\n \"action_type\": \"send_email\",\n \"payload\": {\n \"subject\": \"<string>\",\n \"body\": \"<string>\",\n \"sender\": {\n \"kind\": \"mailbox\",\n \"nylas_grant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"team_member_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"email_addresses\": [\n \"jsmith@example.com\"\n ],\n \"include_signature\": true,\n \"attachments\": [\n {\n \"storage_path\": \"<string>\",\n \"file_name\": \"JD - Senior PM.pdf\",\n \"content_type\": \"<string>\",\n \"size_bytes\": 123\n }\n ]\n },\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"position\": 2,\n \"team_member_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"is_enabled\": true,\n \"runs_on_api_changes\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.stardex.ai/v1/automations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"trigger\": {\n \"type\": \"schedule\",\n \"rrule\": \"FREQ=WEEKLY;BYDAY=MO;BYHOUR=9;BYMINUTE=0\",\n \"dtstart\": \"<string>\",\n \"timezone\": \"<string>\",\n \"next_run_at\": \"<string>\"\n },\n \"actions\": [\n {\n \"action_type\": \"send_email\",\n \"payload\": {\n \"subject\": \"<string>\",\n \"body\": \"<string>\",\n \"sender\": {\n \"kind\": \"mailbox\",\n \"nylas_grant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"team_member_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"email_addresses\": [\n \"jsmith@example.com\"\n ],\n \"include_signature\": true,\n \"attachments\": [\n {\n \"storage_path\": \"<string>\",\n \"file_name\": \"JD - Senior PM.pdf\",\n \"content_type\": \"<string>\",\n \"size_bytes\": 123\n }\n ]\n },\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"position\": 2,\n \"team_member_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"is_enabled\": true,\n \"runs_on_api_changes\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stardex.ai/v1/automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"trigger\": {\n \"type\": \"schedule\",\n \"rrule\": \"FREQ=WEEKLY;BYDAY=MO;BYHOUR=9;BYMINUTE=0\",\n \"dtstart\": \"<string>\",\n \"timezone\": \"<string>\",\n \"next_run_at\": \"<string>\"\n },\n \"actions\": [\n {\n \"action_type\": \"send_email\",\n \"payload\": {\n \"subject\": \"<string>\",\n \"body\": \"<string>\",\n \"sender\": {\n \"kind\": \"mailbox\",\n \"nylas_grant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"team_member_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"email_addresses\": [\n \"jsmith@example.com\"\n ],\n \"include_signature\": true,\n \"attachments\": [\n {\n \"storage_path\": \"<string>\",\n \"file_name\": \"JD - Senior PM.pdf\",\n \"content_type\": \"<string>\",\n \"size_bytes\": 123\n }\n ]\n },\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"position\": 2,\n \"team_member_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"is_enabled\": true,\n \"runs_on_api_changes\": false\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "aaa11111-bbbb-cccc-dddd-eeeeeeee3333",
"name": "Monday offer follow-ups",
"is_enabled": true,
"is_archived": false,
"runs_on_api_changes": false,
"created_by": "567e8901-e23c-45d6-e789-012345678901",
"trigger": {
"type": "schedule",
"rrule": "FREQ=WEEKLY;BYDAY=MO;BYHOUR=8;BYMINUTE=0",
"dtstart": "2026-08-24T08:00:00",
"timezone": "America/New_York",
"next_run_at": "2026-08-31T12:00:00Z"
},
"actions": [
{
"id": "aaa11111-bbbb-cccc-dddd-eeeeeeee3334",
"position": 1,
"action_type": "agent_instructions",
"payload": {
"instructions": "Find candidates who have been in Offer for more than 7 days on open searches, move each to Follow up and add a note saying why. Example row: | Priya Raman | Senior Controller | 9 days |",
"allow_update_records": true,
"allow_delete_records": false,
"output_format": {
"kind": "custom",
"text": "One table row per candidate, longest wait first"
}
}
},
{
"id": "aaa11111-bbbb-cccc-dddd-eeeeeeee3335",
"position": 2,
"action_type": "send_email",
"recipient_type": "team_members",
"team_member_id": null,
"payload": {
"subject": "Offers waiting for a follow-up",
"body": "These offers need a follow-up this week:\n\n{{agent_output}}",
"team_member_ids": [
"567e8901-e23c-45d6-e789-012345678901"
],
"include_signature": false
}
}
],
"created_at": "2026-08-21T10:00:00Z",
"updated_at": "2026-08-21T10:00:00Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Body
Was this page helpful?